import{s as Pt,n as Wt,o as Et}from"../chunks/scheduler.0219f8bd.js";import{S as jt,i as Rt,g as a,s as n,r as p,A as Ft,h as d,f as r,c as l,j as m,u,x as s,k as o,y as Kt,a as i,v as c,d as f,t as h,w as x}from"../chunks/index.f61edf3b.js";import{H as T,E as Ut}from"../chunks/EditOnGithub.48fa589f.js";function Bt(ut){let _,ae,ne,de,$,se,w,oe,v,ct='<li><a href="#module_generation/streamers">generation/streamers</a><ul><li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li> <li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li></ul></li>',me,pe,ue,g,ce,S,fe,k,ft="Simple text streamer that prints the token(s) to stdout as soon as entire words are formed.",he,b,ht='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',xe,H,xt='<li><a href="#module_generation/streamers.TextStreamer">.TextStreamer</a><ul><li><a href="#new_module_generation/streamers.TextStreamer_new"><code>new TextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+put"><code>.put(value)</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+end"><code>.end()</code></a></li> <li><a href="#module_generation/streamers.TextStreamer+on_finalized_text"><code>.on_finalized_text(text, stream_end)</code></a></li></ul></li>',_e,Te,$e,L,we,y,ve,z,_t="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td><td></td><td></td> </tr><tr><td>options</td><td><code>Object</code></td><td></td><td></td> </tr><tr><td>[options.skip_prompt]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to skip the prompt tokens</p></td> </tr><tr><td>[options.skip_special_tokens]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to skip special tokens when decoding</p></td> </tr><tr><td>[options.callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a piece of text is ready to display</p></td> </tr><tr><td>[options.token_callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new token is generated</p></td> </tr><tr><td>[options.decode_kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>Additional keyword arguments to pass to the tokenizer&#39;s decode method</p></td></tr></tbody>",ge,Se,ke,C,be,M,He,A,Tt="Receives tokens, decodes them, and prints them to stdout as soon as they form entire words.",Le,P,$t='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',ye,W,wt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",ze,Ce,Me,E,Ae,j,Pe,R,vt="Flushes any remaining cache and prints a newline to stdout.",We,F,gt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Ee,je,Re,K,Fe,U,Ke,B,St="Prints the new text to stdout. If the stream is ending, also prints a newline.",Ue,O,kt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.TextStreamer"><code>TextStreamer</code></a>',Be,D,bt="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td> </tr><tr><td>stream_end</td><td><code>boolean</code></td></tr></tbody>",Oe,De,qe,q,Ge,G,Ie,I,Ht=`Utility class to handle streaming of tokens generated by whisper speech-to-text models.
Callback functions are invoked when each of the following events occur:`,Je,J,Lt="<li>A new chunk starts (on_chunk_start)</li> <li>A new token is generated (callback_function)</li> <li>A chunk ends (on_chunk_end)</li> <li>The stream is finalized (on_finalize)</li>",Ne,N,yt='<strong>Kind</strong>: static class of <a href="#module_generation/streamers"><code>generation/streamers</code></a>',Qe,Q,zt='<li><a href="#module_generation/streamers.WhisperTextStreamer">.WhisperTextStreamer</a><ul><li><a href="#new_module_generation/streamers.WhisperTextStreamer_new"><code>new WhisperTextStreamer(tokenizer, options)</code></a></li> <li><a href="#module_generation/streamers.WhisperTextStreamer+put"><code>.put(value)</code></a></li></ul></li>',Ve,Xe,Ye,V,Ze,X,et,Y,Ct="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>tokenizer</td><td><code>*</code></td><td></td><td></td> </tr><tr><td>options</td><td><code>Object</code></td><td></td><td></td> </tr><tr><td>[options.skip_prompt]</td><td><code>boolean</code></td><td><code>false</code></td><td><p>Whether to skip the prompt tokens</p></td> </tr><tr><td>[options.callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a piece of text is ready to display</p></td> </tr><tr><td>[options.token_callback_function]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new token is generated</p></td> </tr><tr><td>[options.on_chunk_start]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a new chunk starts</p></td> </tr><tr><td>[options.on_chunk_end]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when a chunk ends</p></td> </tr><tr><td>[options.on_finalize]</td><td><code>function</code></td><td><code></code></td><td><p>Function to call when the stream is finalized</p></td> </tr><tr><td>[options.time_precision]</td><td><code>number</code></td><td><code>0.02</code></td><td><p>Precision of the timestamps</p></td> </tr><tr><td>[options.skip_special_tokens]</td><td><code>boolean</code></td><td><code>true</code></td><td><p>Whether to skip special tokens when decoding</p></td> </tr><tr><td>[options.decode_kwargs]</td><td><code>Object</code></td><td><code>{}</code></td><td><p>Additional keyword arguments to pass to the tokenizer&#39;s decode method</p></td></tr></tbody>",tt,rt,it,Z,nt,ee,lt,te,Mt='<strong>Kind</strong>: instance method of <a href="#module_generation/streamers.WhisperTextStreamer"><code>WhisperTextStreamer</code></a>',at,re,At="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>value</td><td><code>Array.&lt;Array&lt;bigint&gt;&gt;</code></td></tr></tbody>",dt,st,ot,ie,mt,le,pt;return w=new T({props:{title:"generation/streamers",local:"generationstreamers",headingTag:"h1"}}),S=new T({props:{title:"generation/streamers.TextStreamer",local:"generationstreamerstextstreamer",headingTag:"h2"}}),y=new T({props:{title:"new TextStreamer(tokenizer, options)",local:"new-textstreamertokenizer-options",headingTag:"h3"}}),M=new T({props:{title:"textStreamer.put(value)",local:"textstreamerputvalue",headingTag:"h3"}}),j=new T({props:{title:"textStreamer.end()",local:"textstreamerend",headingTag:"h3"}}),U=new T({props:{title:"textStreamer.on_finalized_text(text, stream_end)",local:"textstreameronfinalizedtexttext-streamend",headingTag:"h3"}}),G=new T({props:{title:"generation/streamers.WhisperTextStreamer",local:"generationstreamerswhispertextstreamer",headingTag:"h2"}}),X=new T({props:{title:"new WhisperTextStreamer(tokenizer, options)",local:"new-whispertextstreamertokenizer-options",headingTag:"h3"}}),ee=new T({props:{title:"whisperTextStreamer.put(value)",local:"whispertextstreamerputvalue",headingTag:"h3"}}),ie=new Ut({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/generation/streamers.md"}}),{c(){_=a("meta"),ae=n(),ne=a("p"),de=n(),$=a("a"),se=n(),p(w.$$.fragment),oe=n(),v=a("ul"),v.innerHTML=ct,me=n(),pe=a("hr"),ue=n(),g=a("a"),ce=n(),p(S.$$.fragment),fe=n(),k=a("p"),k.textContent=ft,he=n(),b=a("p"),b.innerHTML=ht,xe=n(),H=a("ul"),H.innerHTML=xt,_e=n(),Te=a("hr"),$e=n(),L=a("a"),we=n(),p(y.$$.fragment),ve=n(),z=a("table"),z.innerHTML=_t,ge=n(),Se=a("hr"),ke=n(),C=a("a"),be=n(),p(M.$$.fragment),He=n(),A=a("p"),A.textContent=Tt,Le=n(),P=a("p"),P.innerHTML=$t,ye=n(),W=a("table"),W.innerHTML=wt,ze=n(),Ce=a("hr"),Me=n(),E=a("a"),Ae=n(),p(j.$$.fragment),Pe=n(),R=a("p"),R.textContent=vt,We=n(),F=a("p"),F.innerHTML=gt,Ee=n(),je=a("hr"),Re=n(),K=a("a"),Fe=n(),p(U.$$.fragment),Ke=n(),B=a("p"),B.textContent=St,Ue=n(),O=a("p"),O.innerHTML=kt,Be=n(),D=a("table"),D.innerHTML=bt,Oe=n(),De=a("hr"),qe=n(),q=a("a"),Ge=n(),p(G.$$.fragment),Ie=n(),I=a("p"),I.textContent=Ht,Je=n(),J=a("ul"),J.innerHTML=Lt,Ne=n(),N=a("p"),N.innerHTML=yt,Qe=n(),Q=a("ul"),Q.innerHTML=zt,Ve=n(),Xe=a("hr"),Ye=n(),V=a("a"),Ze=n(),p(X.$$.fragment),et=n(),Y=a("table"),Y.innerHTML=Ct,tt=n(),rt=a("hr"),it=n(),Z=a("a"),nt=n(),p(ee.$$.fragment),lt=n(),te=a("p"),te.innerHTML=Mt,at=n(),re=a("table"),re.innerHTML=At,dt=n(),st=a("hr"),ot=n(),p(ie.$$.fragment),mt=n(),le=a("p"),this.h()},l(e){const t=Ft("svelte-u9bgzb",document.head);_=d(t,"META",{name:!0,content:!0}),t.forEach(r),ae=l(e),ne=d(e,"P",{}),m(ne).forEach(r),de=l(e),$=d(e,"A",{id:!0,class:!0}),m($).forEach(r),se=l(e),u(w.$$.fragment,e),oe=l(e),v=d(e,"UL",{"data-svelte-h":!0}),s(v)!=="svelte-1b6jzte"&&(v.innerHTML=ct),me=l(e),pe=d(e,"HR",{}),ue=l(e),g=d(e,"A",{id:!0,class:!0}),m(g).forEach(r),ce=l(e),u(S.$$.fragment,e),fe=l(e),k=d(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-5jvlz5"&&(k.textContent=ft),he=l(e),b=d(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-223dj8"&&(b.innerHTML=ht),xe=l(e),H=d(e,"UL",{"data-svelte-h":!0}),s(H)!=="svelte-1m22woc"&&(H.innerHTML=xt),_e=l(e),Te=d(e,"HR",{}),$e=l(e),L=d(e,"A",{id:!0,class:!0}),m(L).forEach(r),we=l(e),u(y.$$.fragment,e),ve=l(e),z=d(e,"TABLE",{"data-svelte-h":!0}),s(z)!=="svelte-1h30c7"&&(z.innerHTML=_t),ge=l(e),Se=d(e,"HR",{}),ke=l(e),C=d(e,"A",{id:!0,class:!0}),m(C).forEach(r),be=l(e),u(M.$$.fragment,e),He=l(e),A=d(e,"P",{"data-svelte-h":!0}),s(A)!=="svelte-1i1356p"&&(A.textContent=Tt),Le=l(e),P=d(e,"P",{"data-svelte-h":!0}),s(P)!=="svelte-3nhg65"&&(P.innerHTML=$t),ye=l(e),W=d(e,"TABLE",{"data-svelte-h":!0}),s(W)!=="svelte-47jvoc"&&(W.innerHTML=wt),ze=l(e),Ce=d(e,"HR",{}),Me=l(e),E=d(e,"A",{id:!0,class:!0}),m(E).forEach(r),Ae=l(e),u(j.$$.fragment,e),Pe=l(e),R=d(e,"P",{"data-svelte-h":!0}),s(R)!=="svelte-10d94rs"&&(R.textContent=vt),We=l(e),F=d(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-3nhg65"&&(F.innerHTML=gt),Ee=l(e),je=d(e,"HR",{}),Re=l(e),K=d(e,"A",{id:!0,class:!0}),m(K).forEach(r),Fe=l(e),u(U.$$.fragment,e),Ke=l(e),B=d(e,"P",{"data-svelte-h":!0}),s(B)!=="svelte-tm945r"&&(B.textContent=St),Ue=l(e),O=d(e,"P",{"data-svelte-h":!0}),s(O)!=="svelte-3nhg65"&&(O.innerHTML=kt),Be=l(e),D=d(e,"TABLE",{"data-svelte-h":!0}),s(D)!=="svelte-npliee"&&(D.innerHTML=bt),Oe=l(e),De=d(e,"HR",{}),qe=l(e),q=d(e,"A",{id:!0,class:!0}),m(q).forEach(r),Ge=l(e),u(G.$$.fragment,e),Ie=l(e),I=d(e,"P",{"data-svelte-h":!0}),s(I)!=="svelte-14ytj5h"&&(I.textContent=Ht),Je=l(e),J=d(e,"UL",{"data-svelte-h":!0}),s(J)!=="svelte-1j45op2"&&(J.innerHTML=Lt),Ne=l(e),N=d(e,"P",{"data-svelte-h":!0}),s(N)!=="svelte-223dj8"&&(N.innerHTML=yt),Qe=l(e),Q=d(e,"UL",{"data-svelte-h":!0}),s(Q)!=="svelte-11gdcxx"&&(Q.innerHTML=zt),Ve=l(e),Xe=d(e,"HR",{}),Ye=l(e),V=d(e,"A",{id:!0,class:!0}),m(V).forEach(r),Ze=l(e),u(X.$$.fragment,e),et=l(e),Y=d(e,"TABLE",{"data-svelte-h":!0}),s(Y)!=="svelte-1v66c2t"&&(Y.innerHTML=Ct),tt=l(e),rt=d(e,"HR",{}),it=l(e),Z=d(e,"A",{id:!0,class:!0}),m(Z).forEach(r),nt=l(e),u(ee.$$.fragment,e),lt=l(e),te=d(e,"P",{"data-svelte-h":!0}),s(te)!=="svelte-yewaf3"&&(te.innerHTML=Mt),at=l(e),re=d(e,"TABLE",{"data-svelte-h":!0}),s(re)!=="svelte-47jvoc"&&(re.innerHTML=At),dt=l(e),st=d(e,"HR",{}),ot=l(e),u(ie.$$.fragment,e),mt=l(e),le=d(e,"P",{}),m(le).forEach(r),this.h()},h(){o(_,"name","hf:doc:metadata"),o(_,"content",Ot),o($,"id","module_generation/streamers"),o($,"class","group"),o(g,"id","module_generation/streamers.TextStreamer"),o(g,"class","group"),o(L,"id","new_module_generation/streamers.TextStreamer_new"),o(L,"class","group"),o(C,"id","module_generation/streamers.TextStreamer+put"),o(C,"class","group"),o(E,"id","module_generation/streamers.TextStreamer+end"),o(E,"class","group"),o(K,"id","module_generation/streamers.TextStreamer+on_finalized_text"),o(K,"class","group"),o(q,"id","module_generation/streamers.WhisperTextStreamer"),o(q,"class","group"),o(V,"id","new_module_generation/streamers.WhisperTextStreamer_new"),o(V,"class","group"),o(Z,"id","module_generation/streamers.WhisperTextStreamer+put"),o(Z,"class","group")},m(e,t){Kt(document.head,_),i(e,ae,t),i(e,ne,t),i(e,de,t),i(e,$,t),i(e,se,t),c(w,e,t),i(e,oe,t),i(e,v,t),i(e,me,t),i(e,pe,t),i(e,ue,t),i(e,g,t),i(e,ce,t),c(S,e,t),i(e,fe,t),i(e,k,t),i(e,he,t),i(e,b,t),i(e,xe,t),i(e,H,t),i(e,_e,t),i(e,Te,t),i(e,$e,t),i(e,L,t),i(e,we,t),c(y,e,t),i(e,ve,t),i(e,z,t),i(e,ge,t),i(e,Se,t),i(e,ke,t),i(e,C,t),i(e,be,t),c(M,e,t),i(e,He,t),i(e,A,t),i(e,Le,t),i(e,P,t),i(e,ye,t),i(e,W,t),i(e,ze,t),i(e,Ce,t),i(e,Me,t),i(e,E,t),i(e,Ae,t),c(j,e,t),i(e,Pe,t),i(e,R,t),i(e,We,t),i(e,F,t),i(e,Ee,t),i(e,je,t),i(e,Re,t),i(e,K,t),i(e,Fe,t),c(U,e,t),i(e,Ke,t),i(e,B,t),i(e,Ue,t),i(e,O,t),i(e,Be,t),i(e,D,t),i(e,Oe,t),i(e,De,t),i(e,qe,t),i(e,q,t),i(e,Ge,t),c(G,e,t),i(e,Ie,t),i(e,I,t),i(e,Je,t),i(e,J,t),i(e,Ne,t),i(e,N,t),i(e,Qe,t),i(e,Q,t),i(e,Ve,t),i(e,Xe,t),i(e,Ye,t),i(e,V,t),i(e,Ze,t),c(X,e,t),i(e,et,t),i(e,Y,t),i(e,tt,t),i(e,rt,t),i(e,it,t),i(e,Z,t),i(e,nt,t),c(ee,e,t),i(e,lt,t),i(e,te,t),i(e,at,t),i(e,re,t),i(e,dt,t),i(e,st,t),i(e,ot,t),c(ie,e,t),i(e,mt,t),i(e,le,t),pt=!0},p:Wt,i(e){pt||(f(w.$$.fragment,e),f(S.$$.fragment,e),f(y.$$.fragment,e),f(M.$$.fragment,e),f(j.$$.fragment,e),f(U.$$.fragment,e),f(G.$$.fragment,e),f(X.$$.fragment,e),f(ee.$$.fragment,e),f(ie.$$.fragment,e),pt=!0)},o(e){h(w.$$.fragment,e),h(S.$$.fragment,e),h(y.$$.fragment,e),h(M.$$.fragment,e),h(j.$$.fragment,e),h(U.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(ee.$$.fragment,e),h(ie.$$.fragment,e),pt=!1},d(e){e&&(r(ae),r(ne),r(de),r($),r(se),r(oe),r(v),r(me),r(pe),r(ue),r(g),r(ce),r(fe),r(k),r(he),r(b),r(xe),r(H),r(_e),r(Te),r($e),r(L),r(we),r(ve),r(z),r(ge),r(Se),r(ke),r(C),r(be),r(He),r(A),r(Le),r(P),r(ye),r(W),r(ze),r(Ce),r(Me),r(E),r(Ae),r(Pe),r(R),r(We),r(F),r(Ee),r(je),r(Re),r(K),r(Fe),r(Ke),r(B),r(Ue),r(O),r(Be),r(D),r(Oe),r(De),r(qe),r(q),r(Ge),r(Ie),r(I),r(Je),r(J),r(Ne),r(N),r(Qe),r(Q),r(Ve),r(Xe),r(Ye),r(V),r(Ze),r(et),r(Y),r(tt),r(rt),r(it),r(Z),r(nt),r(lt),r(te),r(at),r(re),r(dt),r(st),r(ot),r(mt),r(le)),r(_),x(w,e),x(S,e),x(y,e),x(M,e),x(j,e),x(U,e),x(G,e),x(X,e),x(ee,e),x(ie,e)}}}const Ot='{"title":"generation/streamers","local":"generationstreamers","sections":[{"title":"generation/streamers.TextStreamer","local":"generationstreamerstextstreamer","sections":[{"title":"new TextStreamer(tokenizer, options)","local":"new-textstreamertokenizer-options","sections":[],"depth":3},{"title":"textStreamer.put(value)","local":"textstreamerputvalue","sections":[],"depth":3},{"title":"textStreamer.end()","local":"textstreamerend","sections":[],"depth":3},{"title":"textStreamer.on_finalized_text(text, stream_end)","local":"textstreameronfinalizedtexttext-streamend","sections":[],"depth":3}],"depth":2},{"title":"generation/streamers.WhisperTextStreamer","local":"generationstreamerswhispertextstreamer","sections":[{"title":"new WhisperTextStreamer(tokenizer, options)","local":"new-whispertextstreamertokenizer-options","sections":[],"depth":3},{"title":"whisperTextStreamer.put(value)","local":"whispertextstreamerputvalue","sections":[],"depth":3}],"depth":2}],"depth":1}';function Dt(ut){return Et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Jt extends jt{constructor(_){super(),Rt(this,_,Dt,Bt,Pt,{})}}export{Jt as component};
